Namespace
library
Image / Tag
consul:1.7.0-beta3
Content Digest
sha256:b573c078c3d78160d5a0418ba9835fdf5efe0a74f8d02628d24c1fdbe64f4e9d
Details
Created

2020-01-25 01:38:30 UTC

Size

43.7 MB

Content Digest
Environment
CONSUL_VERSION

1.7.0-beta3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:fd25584d30bfc37afa2d99f41ef0a7055a4f2923907582dd992194fb4aa13f1c - 6.04% (2.64 MB)

[#001] sha256:aad2423531fd1ab2c5134a4c51b182a688f23e21d33f3468617a7ef58af08030 - 0.0% (1.22 KB)

[#002] sha256:8d910894eedcc145ba47fa3e4e2c2a052d5fd33a8a6dfb7cac0d56ca54a43689 - 93.95% (41.1 MB)

[#003] sha256:afb12ad892c13c2fcaedc7595b64e8a7eb1bef671a6da02def28e06ff3d9d2cf - 0.0% (143 Bytes)

[#004] sha256:6fefeb1f61988fc1d6812d034a10042e133532386cee0b2c51bb8241a06d44f1 - 0.0% (155 Bytes)

[#005] sha256:fbddb2dc7273c977a8397fdaf00f28232450cd46ec5c6595062e303db9a41ede - 0.0% (1.66 KB)


History
2020-01-23 16:53:05 UTC

/bin/sh -c #(nop) ADD file:4e7195ad2b3e9b85e4596b4a73719eb294f2a293a05b7b8e6096c4cfac0c6fde in /

2020-01-23 16:53:05 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:57:03 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-01-25 01:38:21 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0-beta3

2020-01-25 01:38:21 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-01-25 01:38:22 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-01-25 01:38:27 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-01-25 01:38:28 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-01-25 01:38:29 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-01-25 01:38:29 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-01-25 01:38:29 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-01-25 01:38:29 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-01-25 01:38:30 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-01-25 01:38:30 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-01-25 01:38:30 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-01-25 01:38:30 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-01-25 02:21:22 UTC

Size

44.8 MB

Content Digest
Environment
CONSUL_VERSION

1.7.0-beta3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9123ac7c32f74759e6283f04dbf571f18246abe5bb2c779efcb32cd50f3ff13c - 5.88% (2.64 MB)

[#001] sha256:c0193886472f82da749ef68cb42be69371930b90be4eea3ab6b030557ceb0299 - 0.0% (1.23 KB)

[#002] sha256:295540d84142f6da444268df3a151c29af739325e6a8ac487d9bbbec19cd6b6e - 94.12% (42.2 MB)

[#003] sha256:08085cde73b9bc2fca72b3688920b1b71460499f2a1e39e9aec6842209413723 - 0.0% (142 Bytes)

[#004] sha256:99f06fb128f5980ccff0d44b25b60eeebebd8f61b86cbcb2ed6ccdbfaf361aea - 0.0% (154 Bytes)

[#005] sha256:47d39dc1addccf22eddf786318f343f5033ff3f73bb4abca22644eb21b3c9e06 - 0.0% (1.66 KB)


History
2020-01-23 16:53:17 UTC

/bin/sh -c #(nop) ADD file:f4f85ec73d7cc949662413419f8eafb31dabaa6e12cd21b7c8d5a9ef0d5b9681 in /

2020-01-23 16:53:17 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:15:11 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-01-25 02:21:14 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0-beta3

2020-01-25 02:21:14 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-01-25 02:21:15 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-01-25 02:21:20 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-01-25 02:21:20 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-01-25 02:21:21 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-01-25 02:21:21 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-01-25 02:21:21 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-01-25 02:21:21 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-01-25 02:21:22 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-01-25 02:21:22 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-01-25 02:21:22 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-01-25 02:21:22 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-01-25 01:49:57 UTC

Size

42.2 MB

Content Digest
Environment
CONSUL_VERSION

1.7.0-beta3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:1c8737e28b1ca4452315b0127f7c6f4ad64f0c4695a3b52b1a4a3d2d17d3bbd5 - 5.75% (2.43 MB)

[#001] sha256:49d3e11e79177ae1a88222892cbde1908a5fa3301a625465c6c6a82a1e702c5e - 0.0% (1.25 KB)

[#002] sha256:07ab27d2d490e5617f28baf999f0f9780f0b073e140c4fad743c9af468a3df2e - 94.24% (39.8 MB)

[#003] sha256:b33bd8a95d7a9fa5f487e86bb7a02c7e1a342ecbf35f10a902d5824025657263 - 0.0% (174 Bytes)

[#004] sha256:72e3e9dd1b905aebdd528f4626ce070432f538a63ea57801b7aab09c1f1c2018 - 0.0% (154 Bytes)

[#005] sha256:330f0bcfff3fca2a21d0348dddf79e6fd6a95a43bf77a1c5d8e05292d8f7e7a3 - 0.0% (1.67 KB)


History
2020-01-23 16:53:38 UTC

/bin/sh -c #(nop) ADD file:7e840db4b1f91900bcc3693359908c82f531fc44027d4d5327ef598e8710ed0f in /

2020-01-23 16:53:40 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:12:38 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-01-25 01:49:30 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0-beta3

2020-01-25 01:49:30 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-01-25 01:49:33 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-01-25 01:49:44 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-01-25 01:49:47 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-01-25 01:49:49 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-01-25 01:49:51 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-01-25 01:49:52 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-01-25 01:49:54 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-01-25 01:49:55 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-01-25 01:49:55 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-01-25 01:49:56 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-01-25 01:49:57 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-01-25 01:40:47 UTC

Size

40.4 MB

Content Digest
Environment
CONSUL_VERSION

1.7.0-beta3

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:eb93038481ddcf86a625b70f7551cdc583e38886f206fe7e40ad644008efa815 - 6.36% (2.57 MB)

[#001] sha256:921294ab354ac014db7d1a068d79fd590ed04ec23c8b3c5485fd2b61efea4831 - 0.0% (1.25 KB)

[#002] sha256:144b24c3887801de0c2a68b4faac065faa1c3ef4cbd57dad419dc8009a91f699 - 93.64% (37.8 MB)

[#003] sha256:00c31bca80ac9822e076f2ed1e41ba2b90349e04fe8e1cbfdbb13a8ff8b1e6b8 - 0.0% (174 Bytes)

[#004] sha256:f357a643246dbdca175e8918789d2752956270622afa4f265173988923e67d1e - 0.0% (153 Bytes)

[#005] sha256:a7e65ab5b10a188a0a422591c0e1d5d23a2d84093483b58874109cbd1ff160e5 - 0.0% (1.66 KB)


History
2020-01-23 16:54:58 UTC

/bin/sh -c #(nop) ADD file:92767b5525acd9dbf8657931d32bdcc7cc504cdc33c95e84a75e478b00569bab in /

2020-01-23 16:54:59 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:19:49 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-01-25 01:40:27 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0-beta3

2020-01-25 01:40:28 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-01-25 01:40:30 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-01-25 01:40:37 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-01-25 01:40:39 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-01-25 01:40:42 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-01-25 01:40:43 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-01-25 01:40:43 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-01-25 01:40:44 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-01-25 01:40:45 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-01-25 01:40:45 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-01-25 01:40:46 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-01-25 01:40:47 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]